locals {
  static_content_shockrah_xyz = [
    { name = "shockrah-xyz" },
    { name = "resume-shockrah-xyz" }
  ]
}

resource "aws_s3_bucket" "static-content" {
  for_each = {
    for idx, record in local.static_content_shockrah_xyz:
      idx => record
  }
  
  bucket = each.value.name

  tags = {
    Name = each.value.name
    Description = lookup(each.value, "desc", "Static content")
  }
}
